library("jsonlite")

loadData <- function(path) {
  data <- fromJSON(path)
  # We do not need the experimentId, total lines or the SD, as they are all the same
  data <- subset(data, select = -c(experimentId, totalLines, SD))
  data$orientation <- as.factor(ifelse(data$mean > 0, "right", "left"))
  data$participantChoice <- as.factor(data$participantChoice)
  data$correct <- as.numeric(data$participantChoice == data$orientation)
  data$absMean <- abs(data$mean)
  data
}